## pngdec pngdec — Decode a png video frame to a raw image |

## Types and Values

struct | GstPngDec

## Object Hierarchy

        GObject
        ╰── GstObject
            ╰── GstElement
                ╰── GstPngDec

## Description

## Synopsis

### Element Information

plugin | png
author | Wim Taymans <wim@fluendo.com>
class | Codec/Decoder/Image

### Element Pads

name | sink
direction | sink
presence | always
details | image/png

name | src
direction | source
presence | always
details | video/x-raw-rgb, bpp=(int)32, depth=(int)32, endianness=(int)4321, red_mask=(int)-16777216, green_mask=(int)16711680, blue_mask=(int)65280, alpha_mask=(int)255, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-raw-rgb, bpp=(int)24, depth=(int)24, endianness=(int)4321, red_mask=(int)16711680, green_mask=(int)65280, blue_mask=(int)255, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-raw-rgb, bpp=(int)64, depth=(int)64, endianness=(int)4321, red_mask=(int)16711680, green_mask=(int)65280, blue_mask=(int)255, alpha_mask=(int)-16777216, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstPngDec

    struct GstPngDec;